fMobi now available for Symbian S60 5th Edition

Posted by

Popular Facebook mobile application for Symbian^3 and Maemo smartphones, fMobi, has now been made available for Symbian S60 5th Edition smartphones as well.

You can download fMobi for S60v5 here.

READER COMMENTS

We love to hear from you - your opinions, insights and experiences with smartphones and other gadgets. Be a part of Mobility Arena's active community by sharing a comment below if comments are enabled for this page.

  1. But why is the app telling me download required during installation (size 8.87MB).

    Said no, and the installation cancelled.

  2. @Bosun, But why is the app telling me download required during installation (size 8.87MB).

    You need to have Qt 4.7.3 QtWebKit 4.7.3 and QtMobility 1.1.3 installed- to use it..

    If you do not have it already on your phone, it is installed..

  3. It’s been long I commented here, I’ve been so busy of recent.
    I would like to know if this edition will work on my nokia e63. The previous edition was not compatible.

  4. @kay123, welcome back!

    This edition will -most likely -not work on the e63 ! This one is for touchscreens…

Have Your Say

Your email address will not be published. Required fields are marked *

Discussions are moderated for civility

This site uses Akismet to reduce spam. Learn how your comment data is processed.